com.google.appengine.api.utils

## Enum SystemProperty.Environment.Value

- java.lang.Object
- - java.lang.Enum<SystemProperty.Environment.Value>
  - - com.google.appengine.api.utils.SystemProperty.Environment.Value

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SystemProperty.Environment.Value>
  Enclosing class:
    SystemProperty.Environment

      public static enum SystemProperty.Environment.Value
      extends java.lang.Enum<SystemProperty.Environment.Value>

  The set of possible values for Environment.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Development`
    `Production`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `value()`
    `static SystemProperty.Environment.Value` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SystemProperty.Environment.Value[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Production

          public static final SystemProperty.Environment.Value Production

    - #### Development

          public static final SystemProperty.Environment.Value Development

  - ### Method Detail

    - #### values

          public static SystemProperty.Environment.Value[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemProperty.Environment.Value c : SystemProperty.Environment.Value.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemProperty.Environment.Value valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()